## ros-indigo-rwt-moveit 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_moveit)

find_package(catkin REQUIRED COMPONENTS
  interactive_marker_proxy
  kdl_parser
  moveit_msgs
  robot_state_publisher
  rosbridge_server
  rospy
  roswww
  rwt_utils_3rdparty
  sensor_msgs
  std_msgs
  tf
  tf2_web_republisher
  visualization_msgs
  message_generation
)

# Workaround for this issue http://answers.ros.org/question/107346/could-not-find-a-configuration-file-for-package/
find_package(orocos_kdl REQUIRED)

add_message_files(
  FILES
  MoveGroupPlan.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS interactive_marker_proxy kdl_parser moveit_msgs robot_state_publisher rosbridge_server rospy roswww rwt_utils_3rdparty sensor_msgs std_msgs tf tf2_web_republisher visualization_msgs message_runtime
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(PROGRAMS
  nodes/interactive_moveit.py
  nodes/link_group_publisher
  nodes/sample_moveit_publisher.py
  nodes/joint_state_publisher
  nodes/moveit_publisher.py
  nodes/virtual_joint_state_publisher
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

=== debian/changelog ===
ros-indigo-rwt-moveit (0.0.3-1trusty) trusty; urgency=high



 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-indigo-rwt-moveit (0.0.2-1trusty) trusty; urgency=high

  * reomve depends to the packages released from CDN
  * [rwt_moveit] Document how to run.
  * Launch file optimized. Now basically user can start all nodes by run.launch
  * [doc] Utilize rosdoc
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * rwt_moveit: Updating README.rst to fix name of launch file in example #45 <https://github.com/tork-a/visualization_rwt/issues/45>
    
      * Fixing zero height on canvas on page load
      * (rwt_moveit doc) Add temporary hack.
      * (rwt_moveit) Add chrome setting detail.
      * rwt_moveit: Updating README.rst to fix name of launch file in example
      * rwt_moveit: Fixing import errors in interactive_moveit.py
      * (rwt_moveit) Improve readme. Add description to the manifest.
      * (rwt_moveit) Improve readme. Add description to the manifest.
      * (rwt_moveit) Fix to build by catkin.
      * catkinize visualization_rwt packages
      * Add rwt_moveit (moved from rwt_apps).
    
  * Contributors: Dylan Vaughn, Yuki Furuta, Isaac Saito, Kei Okada

 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rwt-moveit
Section: misc
Priority: extra
Maintainer: Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-interactive-marker-proxy, ros-indigo-kdl-parser, ros-indigo-message-generation, ros-indigo-moveit-msgs, ros-indigo-orocos-kdl, ros-indigo-robot-state-publisher, ros-indigo-rosbridge-server, ros-indigo-rospy, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf2-web-republisher, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/rwt_moveit
Standards-Version: 3.9.2

Package: ros-indigo-rwt-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-interactive-marker-proxy, ros-indigo-kdl-parser, ros-indigo-message-runtime, ros-indigo-moveit-msgs, ros-indigo-orocos-kdl, ros-indigo-robot-state-publisher, ros-indigo-rosbridge-server, ros-indigo-rospy, ros-indigo-roswww, ros-indigo-rwt-utils-3rdparty, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf2-web-republisher, ros-indigo-visualization-msgs
Description: This package provides a web user interface of MoveIt! on top of visualizer in ros3djs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rwt-moveit//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
